Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class StatelessSessionEnterpriseContext.TimerServiceWrapper

    java.lang.Object
      org.jboss.ejb.StatelessSessionEnterpriseContext.TimerServiceWrapper

All Implemented Interfaces:
  javax.ejb.TimerService

Enclosing class:
  StatelessSessionEnterpriseContext

public class StatelessSessionEnterpriseContext.TimerServiceWrapper
extends Object
implements javax.ejb.TimerService

Delegates to the underlying TimerService, after checking access

Constructor Summary
`StatelessSessionEnterpriseContext.TimerServiceWrapper(EnterpriseContext.EJBContextImpl ctx, javax.ejb.TimerService timerService)`

Method Summary
`javax.ejb.Timer` | `createTimer(Date initialExpiration, long intervalDuration, Serializable info)`
`javax.ejb.Timer` | `createTimer(Date expiration, Serializable info)`
`javax.ejb.Timer` | `createTimer(long initialDuration, long intervalDuration, Serializable info)`
`javax.ejb.Timer` | `createTimer(long duration, Serializable info)`
`Collection` | `getTimers()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatelessSessionEnterpriseContext.TimerServiceWrapper

    public StatelessSessionEnterpriseContext.TimerServiceWrapper(EnterpriseContext.EJBContextImpl ctx,
                                                                 javax.ejb.TimerService timerService)

Method Detail

### createTimer

    public javax.ejb.Timer createTimer(long duration,
                                       Serializable info)
                                throws IllegalArgumentException,
                                       IllegalStateException,
                                       javax.ejb.EJBException

  Specified by:
    `createTimer` in interface `javax.ejb.TimerService`
  Throws:
    `IllegalArgumentException`
    `IllegalStateException`
    `javax.ejb.EJBException`

### createTimer

    public javax.ejb.Timer createTimer(long initialDuration,
                                       long intervalDuration,
                                       Serializable info)
                                throws IllegalArgumentException,
                                       IllegalStateException,
                                       javax.ejb.EJBException

  Specified by:
    `createTimer` in interface `javax.ejb.TimerService`
  Throws:
    `IllegalArgumentException`
    `IllegalStateException`
    `javax.ejb.EJBException`

### createTimer

    public javax.ejb.Timer createTimer(Date expiration,
                                       Serializable info)
                                throws IllegalArgumentException,
                                       IllegalStateException,
                                       javax.ejb.EJBException

  Specified by:
    `createTimer` in interface `javax.ejb.TimerService`
  Throws:
    `IllegalArgumentException`
    `IllegalStateException`
    `javax.ejb.EJBException`

### createTimer

    public javax.ejb.Timer createTimer(Date initialExpiration,
                                       long intervalDuration,
                                       Serializable info)
                                throws IllegalArgumentException,
                                       IllegalStateException,
                                       javax.ejb.EJBException

  Specified by:
    `createTimer` in interface `javax.ejb.TimerService`
  Throws:
    `IllegalArgumentException`
    `IllegalStateException`
    `javax.ejb.EJBException`

### getTimers

    public Collection getTimers()
                         throws IllegalStateException,
                                javax.ejb.EJBException

  Specified by:
    `getTimers` in interface `javax.ejb.TimerService`
  Throws:
    `IllegalStateException`
    `javax.ejb.EJBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.